How to install all Patator dependencies

Patator is a multi-purpose brute-forcer, with a modular design and a flexible usage.

Patator is a versatile brute-forcer, the program is very flexible in use, allows to analyze the answers using almost any parameters.

The pay for this flexibility is complexity: Patator is not a program for beginners.

Because Patator can brute-force a variety of services and even recover passwords of archives, it has a number of dependencies:

 Dependencies (best tested versions)
                 |  Required for  |                        URL                         | Version |
--------------------------------------------------------------------------------------------------
paramiko         | SSH            | http://www.lag.net/paramiko/                       | 1.7.7.1 |
--------------------------------------------------------------------------------------------------
pycurl           | HTTP           | http://pycurl.sourceforge.net/                     |  7.19.3 |
--------------------------------------------------------------------------------------------------
libcurl          | HTTP           | https://curl.haxx.se/                              |  7.21.0 |
--------------------------------------------------------------------------------------------------
ajpy             | AJP            | https://github.com/hypn0s/AJPy/                    |   0.0.1 |
--------------------------------------------------------------------------------------------------
openldap         | LDAP           | http://www.openldap.org/                           |  2.4.24 |
--------------------------------------------------------------------------------------------------
impacket         | SMB            | https://github.com/CoreSecurity/impacket           |  0.9.12 |
--------------------------------------------------------------------------------------------------
cx_Oracle        | Oracle         | http://cx-oracle.sourceforge.net/                  |   5.1.1 |
--------------------------------------------------------------------------------------------------
mysql-python     | MySQL          | http://sourceforge.net/projects/mysql-python/      |   1.2.3 |
--------------------------------------------------------------------------------------------------
xfreerdp         | RDP (NLA)      | https://github.com/FreeRDP/FreeRDP/                |   1.2.0 |
--------------------------------------------------------------------------------------------------
psycopg          | PostgreSQL     | http://initd.org/psycopg/                          |   2.4.5 |
--------------------------------------------------------------------------------------------------
pycrypto         | VNC            | http://www.dlitz.net/software/pycrypto/            |     2.3 |
--------------------------------------------------------------------------------------------------
dnspython        | DNS            | http://www.dnspython.org/                          |  1.10.0 |
--------------------------------------------------------------------------------------------------
IPy              | NET keyword    | https://github.com/haypo/python-ipy                |    0.75 |
--------------------------------------------------------------------------------------------------
pysnmp           | SNMP           | http://pysnmp.sourceforge.net/                     |   4.2.1 |
--------------------------------------------------------------------------------------------------
pyasn1           | SNMP           | http://sourceforge.net/projects/pyasn1/            |   0.1.2 |
--------------------------------------------------------------------------------------------------
ike-scan         | IKE            | http://www.nta-monitor.com/tools-resources/        |     1.9 |
--------------------------------------------------------------------------------------------------
unzip            | ZIP passwords  | http://www.info-zip.org/                           |     6.0 |
--------------------------------------------------------------------------------------------------
Java             | keystore files | http://www.oracle.com/technetwork/java/javase/     |       6 |
--------------------------------------------------------------------------------------------------
pysqlcipher      | SQLCipher      | https://github.com/leapcode/pysqlcipher/           |  2.6.10 |
--------------------------------------------------------------------------------------------------
python           |                | http://www.python.org/                             |     2.7 |
--------------------------------------------------------------------------------------------------

It is not necessary to install the version specified in the table – you can use later releases.

Patator is available in Kali Linux, but there is quite an old version, the latest version can be downloaded like this:

wget https://raw.githubusercontent.com/lanjelot/patator/master/patator.py
chmod +x patator.py
./patator.py

In Kali Linux, all dependencies of Patator can be installed by the following commands:

sudo apt update
sudo apt install default-jre libldap-2.4-2 python python-crypto python-dns python-impacket python-ipy python-mysqldb python-paramiko python-psycopg2 python-pyasn1 python-pycurl python-pysnmp4 unzip freerdp2-x11 libsqlite3-dev libsqlcipher-dev ike-scan freerdp2-x11 curl
sudo pip install pysqlcipher ajpy
sudo python -m pip install cx_Oracle --upgrade

Patator Dependencies for Certain Modules

If you want to install a dependency only for certain modules, then below is information about the packages that you need to install for this or that module:

SSH

sudo apt install python-paramiko

HTTP

sudo apt install python-pycurl curl

AJP

sudo pip install ajpy

LDAP

sudo apt install libldap-2.4-2

SMB

sudo apt install python-impacket

Oracle 

sudo python -m pip install cx_Oracle --upgrade

MySQL

sudo apt install python-mysqldb

RDP (NLA)

sudo apt install freerdp2-x11

PostgreSQL

sudo apt install python-psycopg2

VNC

sudo apt install python-crypto

DNS

sudo apt install python-dns

NET keyword

sudo apt install python-ipy

SNMP

sudo apt install python-pyasn1 python-pysnmp4

IKE

sudo apt install ike-scan

ZIP passwords

sudo apt install unzip

keystore files

sudo apt install default-jre

SQLCipher

sudo apt install libsqlite3-dev libsqlcipher-dev
sudo pip install pysqlcipher

Recommended for you:

One Comment to How to install all Patator dependencies

  1. dj says:

    thanks for that

Leave a Reply

Your email address will not be published.